org.vertx.java.deploy

## Interface VerticleFactory

All Known Implementing Classes:
  JavaVerticleFactory, JRubyVerticleFactory, JythonVerticleFactory, RhinoVerticleFactory

    public interface VerticleFactory

### Field Summary

Fields
`static java.lang.Iterable<VerticleFactory>` `factories`

### Method Summary

Methods
`Verticle` `createVerticle(java.lang.String main, java.lang.ClassLoader parentCL)`
`java.lang.String` `getLanguage()`
`void` `init(VerticleManager manager)`
`boolean` `isFactoryFor(java.lang.String main)`
`void` `reportException(java.lang.Throwable t)`

### Field Detail

#### factories

    static final java.lang.Iterable<VerticleFactory> factories

### Method Detail

#### init

    void init(VerticleManager manager)

#### getLanguage

    java.lang.String getLanguage()

#### isFactoryFor

    boolean isFactoryFor(java.lang.String main)

#### createVerticle

    Verticle createVerticle(java.lang.String main,
                          java.lang.ClassLoader parentCL)
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### reportException

    void reportException(java.lang.Throwable t)